<html>
<head>
<meta charset="UTF-8">
<title>Add Product Form</title>
<style>
	*{font: 12px tahoma;}
   #head{
		margin:auto;
		font:20px tahoma;
		color:#009;
		text-align:center;
		width:840px;
		height:30px;
		background:#ddf;}    
	#all {margin:auto;
			width:833px;		
			padding:5px;
			background:#ddf;}
	body {background: url(images/bg.jpg);
		     min-width: 700px;}	
	select{background: #eee none repeat scroll 0 0;
			  border: 1px solid gray;}
	/*input{background: #eee none repeat scroll 0 0;}*/
	#bg{
		margin-top: 10px;
		width:830px;	
		padding:5px;
		color: crimson;
		background:#ddf;
	   border:2px solid rgba(186,186,186,1.00);
	}
  #bg p{font-size: 16px;}    
/*input{background: #eee none repeat scroll 0 0;}*/
  span{font-size: 18px;
        color: blanchedalmond;}
  .textHighlight p{
        width: 300px;
        color: wheat;}     
</style>
</head>

<body>
    
<script type="text/javascript">
function nextbox(e, id) {
   // อ่าน keycode (cross browser)
    var keycode = e.which || e.keyCode;
    // ตรวจสอบ keycode (13 คือ กด enter)
    if (keycode == 13) {
        // ย้ายโฟกัสไปยัง input ที่ id
        document.getElementById(id).focus();
        // return false เพื่อยกเลิกการ submit form
        return false;
    }
}
</script>    
    
<?php
error_reporting(0);

include "functions/dblink.php";
							
//ถ้าเป็นการ Postback เพื่อส่งข้อมูลกลับเข้ามา
if(isset($_POST['PDNO']))
{//นำข้อมูลจากตัวแปร $_POST ทีเหลือมาเรียงต่อเป็นสตริงเดียวกันโดยขั้นด้วย ' , '
	$values=implode("','",$_POST);  //ลักษณะผลลัพธ์เช่น  a',  'b',  'c', 'd
	
 //ปิดหัว ท้าย ด้วย ' เพื่อให้ครบคู่ ลักษณะผลลัพธ์จะเป็น 	'a',  'b',  'c', 'd'
  $values="'".$values."'";
  
 //นำข้อมูลนั้นมาสร้างเป็น  SQL ในแบบคำสั่ง INSERT
 $sql="INSERT INTO prod001 VALUES($values);";
 $replace=mysqli_query($con,$sql);
	
 //if(!$replace){echo mysqli_error($con);}
 if(!$replace){echo "<script>alert('ข้อมูลซ้ำ! มีการใช้รหัสสินค้านี้แล้ว(ไม่มีการบันทึก)');
                             location.href=('actionController.php?action=seller/retrieveProductAction');  
                     </script>";                 
              }
 	else{
      echo "<script>alert('บันทึกข้อมูลเรียบร้อย !');
              location.href=('actionController.php?action=seller/retrieveProductAction');  
            </script>"; 
    }
  ?> 
           
<?php }
	
//--------------	
if(isset($_GET['action']))
{
	$action=$_GET['action'];
    
	//ถ้าเป็นเพิ่มข้อมูล ก็ไม่ต้องทำอะไร เพื่อให้ฟอร์มนั้นว่างเปล่าสำหรับรับข้อมูลใหม่
	if($action=="seller/addProductAction"){}//$h="เพิ่มข้อมูล";
		else if($action=="seller/deleteProductAction")
				{//ถ้าเป็นการลบ ก็นำค่า id ไปกำหนดเป็นเงื่อนใขการลบ
					$id=$_GET['PDNO']; 
              $select="SELECT * FROM prod001 WHERE PDNO='$id' "; 
              $search=mysqli_query($con,$select);
              while($data = mysqli_fetch_array($search)){
                  $no=$data['PDNO'];
                  $name=$data['PDNAME'];
              } ?>
        <div id="bg" align="center">
        <form method="post" id="confirm" action="#">
            <div class="textHighlight" align="center" 
                 style="border: double; font-size: 18px; background: #1836B1">
                <br>
                <p>ต้องการลบข้อมูลสินค้า</p><br> 
                <span style="color: red">รหัสสินค้า </span>
                <span><?php echo $no; ?></span>
                <span style="color: red"> ชื่อ </span>
                <span><?php echo $name; ?></span> 
                <p></p><br>
            </div>    
                <br>
                <p><span style="font-size: 20px; color: red;">ใช่</span>
                        (Yes - 'Y' ; 'y') <span style="color: black; font-size: 18px;">หรือ</span>
                        <span style="font-size: 20px; color: red;">ไม่</span>
                        (No - 'N' ; 'n') ?</p>
                <!--<p> (ใส่ได้เฉพาะ 'Y/y' => ใช่ หรือ 'N/n' => ไม่ใช่)</p>-->
                <p>=>
                <input type="text" name="conf" size="2" pattern="[nyNY]" 
                       style="border: double;" required></p>
                <input type="submit" value="Confirm" style="color: red;">
                 <?php
                    if($_POST['conf']=='Y' OR $_POST['conf']=='y'){
                        $sql="DELETE FROM prod001 WHERE PDNO='$id' "; 
                        $delete=mysqli_query($con,$sql);}
                    if(!$delete) {echo  mysqli_error($con);}else{?>
                        <div class="textHighlight" align="center">
                            <p style="border: double; font-size: 18px; background: #1836B1">
                                ข้อมูลสินค้าถูกลบแล้ว
                            </p>
                        </div>
                    <?php } 

                    if($_POST['conf']=='N' OR $_POST['conf']=='n'){?>
                       <div class="textHighlight" align="center">
                            <p style="border: double; font-size: 18px; background: #1836B1">
                                ยกเลิกการลบข้อมูลสินค้า
                            </p>
                       </div>       
                <?php } 
                back();?>
        </form>   
        </div>
   <?php }		
}		
	
function back()
	{
		global $con;
		mysqli_close($con);
		exit("<p><a href='actionController.php?action=seller/retrieveProductAction'>ย้อนกลับ</a>
		        </p></body></html>");
	}
mysqli_close($con);	
//echo $h; 
?>

<div id="head">แบบฟอร์มเพิ่มข้อมูลสินค้า</div>
<div id="all" align="center">

<form name="addform" method="post">
<table width="921">
    <tr>
        <td colspan="6">ข้อมูลสินค้า</td>
    </tr>              
	  <tr>
     <td width="90" align="right">รหัส : </td>
		 <td width="819"><input type="text" name="PDNO" id="PDNO" size="10"
                            value="<?php if(!isset($data['PDNO'])){$data['PDNO']='';} 
			                      echo $data['PDNO']; ?>"
                            onkeydown="return nextbox(event, 'PDKIND');"></td>                        
    </tr>
    <tr>
      <td><input type="date" name="pddate" id="pddate" value="<?php echo date('Y-m-d'); ?>" hidden></td>
    </tr>
    <tr>    
       <td width="90" align="right">ประเภท :</td>
       <td width="819"><input type="text" name="kind" id="PDKIND" size="20" 
                              value="<?php if(!isset($data['PDKIND'])){$data['PDKIND']='';} 
		                          echo $data['PDKIND'];?>"
                              onkeydown="return nextbox(event, 'PDNAME');"></td>
    </tr> 
 </table>
 <table width="921">      
      <tr>
        <td width="91" align="right">ชื่อสินค้า :</td>
       	<td width="258"><input type="text" name="PDNAME" id="PDNAME" size="100"
							    value="<?php  if(!isset($data['PDNAME'])){$data['PDNAME']='';} 
							                    echo $data['PDNAME']; ?>"
                                onkeydown="return nextbox(event, 'PDCSTPRC');"></td>
       	<td></td>
        <td></td>
      </tr>   
      <tr> 
        <!-- pattern="[0-9]+([\.,][0-9]+)?" step="0.01"
            title="This should be a number with up to 2 decimal places" -->
        <td width="91" align="right">ราคา :</td>
        <!-- pattern="^\d*(\.\d{0,2})?$" -> ทศนิยม 2 ตำแหน่ง -->
        <td><input type="text" name="PDCSTPRC" id="PDCSTPRC" size="15"
                  pattern="[0-9]+([\.,][0-9]+)?" step="0.01" title="ตัวเลขที่มีทศนิยมไม่เกิน 2 ตำแหน่ง"
				          value="<?php  if(!isset($data['PDCSTPRC'])){$data['PDCSTPRC']=0.00;} 
									echo number_format($data['PDCSTPRC'],2);  ?>"
                  onkeydown="return nextbox(event, 'PDSLEPRC');"> บาท &emsp; ราคาขาย : 
            <input type="text" name="PDSLEPRC" id="PDSLEPRC" size="15"
                  pattern="[0-9]+([\.,][0-9]+)?" step="0.01" title="ตัวเลขที่มีทศนิยมไม่เกิน 2 ตำแหน่ง"
				          value="<?php  if(!isset($data['PDSLEPRC'])){$data['PDSLEPRC']=0;} 
									echo number_format($data['PDSLEPRC'],2); ?>"
                  onkeydown="return nextbox(event, 'PDFROM');"> บาท(ตัวเลขที่มีทศนิยมไม่เกิน 2 ตำแหน่ง)</td>
      </tr>    
  </table>
  <table width="921">
    <tbody>
      <tr>
		  <td width="90" align="right">From :</td>
       	  <td width="819"><input type="text" name="PDFROM" id="PDFROM" size="25" 
									  value="<?php  if(!isset($data['PDFROM'])){$data['PDFROM']='';} 
									  echo $data['PDFROM']; ?>"
                          onkeydown="return nextbox(event, 'PDDISC');"></td>
      </tr>
     </tbody>  
   </table>
   <table width="921">      
        <td width="89" align="right">ส่วนลด :</td>
        <td width="820"><input type="number" name="PDDISC" id="PDDISC" min=0.00 max=100 step="any"
                  pattern="[0-9]+([\.,][0-9]+)?" step="0.01" title="ตัวเลข <= 100 ที่มีทศนิยมไม่เกิน 2 ตำแหน่ง"
									value="<?php  if(!isset($data['PDDISC'])){$data['PDDISC']=0.00;} 
									echo $data['PDDISC']; ?>"
                        onkeydown="return nextbox(event, 'PDNOTE');"> %(ตัวเลข <= 100 ที่มีทศนิยมไม่เกิน 2 ตำแหน่ง)</td>                  
    <tr> 
		<td width="89" align="right">Note :</td>
        <td><input type="text" name="PDNOTE" id="PDNOTE" size="35" 
				 value="<?php if(!isset($data['PDNOTE'])){$data['PDNOTE']='';} 
				 echo $data['PDNOTE']; ?>"
            onkeydown="return nextbox(event, 'PDNO');"> </td>
    </tr>
  </table>  
  <table width="921">    
    <br>  
    <tr>  
      <td align="center"><button>บันทึกข้อมูล(Save)</button> &nbsp;&nbsp;
           <a href='actionController.php?action=seller/retrieveProductAction'>ย้อนกลับ</a>
       </td>
    </tr>
  </table>
</form>
    
</div>
</body>
</html>